export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('account-option-view', () => import('@pages/base/account-option-view/account-option-view.vue'));
        Vue.component('appointment-quick-create', () => import('@pages/base/appointment-quick-create/appointment-quick-create.vue'));
        Vue.component('account-introduction', () => import('@pages/base/account-introduction/account-introduction.vue'));
        Vue.component('campaign-response-edit-view', () => import('@pages/marketing/campaign-response-edit-view/campaign-response-edit-view.vue'));
        Vue.component('sales-order-edit-view', () => import('@pages/sales/sales-order-edit-view/sales-order-edit-view.vue'));
        Vue.component('account-edit-view', () => import('@pages/base/account-edit-view/account-edit-view.vue'));
        Vue.component('fax-edit-view', () => import('@pages/base/fax-edit-view/fax-edit-view.vue'));
        Vue.component('incident-edit-view', () => import('@pages/service/incident-edit-view/incident-edit-view.vue'));
        Vue.component('activity-pointer-edit-view', () => import('@pages/base/activity-pointer-edit-view/activity-pointer-edit-view.vue'));
        Vue.component('lead-grid-view', () => import('@pages/sales/lead-grid-view/lead-grid-view.vue'));
        Vue.component('sales-literature-grid-view', () => import('@pages/sales/sales-literature-grid-view/sales-literature-grid-view.vue'));
        Vue.component('competitor-edit-view', () => import('@pages/sales/competitor-edit-view/competitor-edit-view.vue'));
        Vue.component('centeral-portal', () => import('@pages/ungroup/centeral-portal/centeral-portal.vue'));
        Vue.component('product-edit-view', () => import('@pages/product/product-edit-view/product-edit-view.vue'));
        Vue.component('task-quick-create', () => import('@pages/base/task-quick-create/task-quick-create.vue'));
        Vue.component('quote-grid-view', () => import('@pages/sales/quote-grid-view/quote-grid-view.vue'));
        Vue.component('account-account-info', () => import('@pages/base/account-account-info/account-account-info.vue'));
        Vue.component('invoice-edit-view', () => import('@pages/finance/invoice-edit-view/invoice-edit-view.vue'));
        Vue.component('account-summary', () => import('@pages/base/account-summary/account-summary.vue'));
        Vue.component('account-contact-setting', () => import('@pages/base/account-contact-setting/account-contact-setting.vue'));
        Vue.component('opportunity-grid-view', () => import('@pages/sales/opportunity-grid-view/opportunity-grid-view.vue'));
        Vue.component('letter-edit-view', () => import('@pages/base/letter-edit-view/letter-edit-view.vue'));
        Vue.component('goal-edit-view', () => import('@pages/sales/goal-edit-view/goal-edit-view.vue'));
        Vue.component('account-address', () => import('@pages/base/account-address/account-address.vue'));
        Vue.component('appointment-edit-view', () => import('@pages/base/appointment-edit-view/appointment-edit-view.vue'));
        Vue.component('contact-tab-exp-view', () => import('@pages/base/contact-tab-exp-view/contact-tab-exp-view.vue'));
        Vue.component('email-edit-view', () => import('@pages/base/email-edit-view/email-edit-view.vue'));
        Vue.component('contact-pickup-grid-view', () => import('@pages/base/contact-pickup-grid-view/contact-pickup-grid-view.vue'));
        Vue.component('goal-grid-view', () => import('@pages/sales/goal-grid-view/goal-grid-view.vue'));
        Vue.component('contact-grid-view', () => import('@pages/base/contact-grid-view/contact-grid-view.vue'));
        Vue.component('service-appointment-edit-view', () => import('@pages/service/service-appointment-edit-view/service-appointment-edit-view.vue'));
        Vue.component('account-grid-view', () => import('@pages/base/account-grid-view/account-grid-view.vue'));
        Vue.component('activity-pointer-grid-view', () => import('@pages/base/activity-pointer-grid-view/activity-pointer-grid-view.vue'));
        Vue.component('invoice-grid-view', () => import('@pages/finance/invoice-grid-view/invoice-grid-view.vue'));
        Vue.component('account-distribution', () => import('@pages/base/account-distribution/account-distribution.vue'));
        Vue.component('account-pickup-view', () => import('@pages/base/account-pickup-view/account-pickup-view.vue'));
        Vue.component('price-level-pickup-grid-view', () => import('@pages/product/price-level-pickup-grid-view/price-level-pickup-grid-view.vue'));
        Vue.component('ibiz-list-grid-view', () => import('@pages/marketing/ibiz-list-grid-view/ibiz-list-grid-view.vue'));
        Vue.component('contact-by-account', () => import('@pages/base/contact-by-account/contact-by-account.vue'));
        Vue.component('product-grid-view', () => import('@pages/product/product-grid-view/product-grid-view.vue'));
        Vue.component('sales-literature-edit-view', () => import('@pages/sales/sales-literature-edit-view/sales-literature-edit-view.vue'));
        Vue.component('account-pickup-grid-view', () => import('@pages/base/account-pickup-grid-view/account-pickup-grid-view.vue'));
        Vue.component('account-info', () => import('@pages/base/account-info/account-info.vue'));
        Vue.component('account-major-contact', () => import('@pages/base/account-major-contact/account-major-contact.vue'));
        Vue.component('sales-order-grid-view', () => import('@pages/sales/sales-order-grid-view/sales-order-grid-view.vue'));
        Vue.component('contact-option-view', () => import('@pages/base/contact-option-view/contact-option-view.vue'));
        Vue.component('activity-pointer-by-parent-key', () => import('@pages/base/activity-pointer-by-parent-key/activity-pointer-by-parent-key.vue'));
        Vue.component('lead-edit-view', () => import('@pages/sales/lead-edit-view/lead-edit-view.vue'));
        Vue.component('phone-call-edit-view', () => import('@pages/base/phone-call-edit-view/phone-call-edit-view.vue'));
        Vue.component('task-edit-view', () => import('@pages/base/task-edit-view/task-edit-view.vue'));
        Vue.component('price-level-pickup-view', () => import('@pages/product/price-level-pickup-view/price-level-pickup-view.vue'));
        Vue.component('opportunity-edit-view', () => import('@pages/sales/opportunity-edit-view/opportunity-edit-view.vue'));
        Vue.component('competitor-grid-view', () => import('@pages/sales/competitor-grid-view/competitor-grid-view.vue'));
        Vue.component('ibiz-list-edit-view', () => import('@pages/marketing/ibiz-list-edit-view/ibiz-list-edit-view.vue'));
        Vue.component('quote-edit-view', () => import('@pages/sales/quote-edit-view/quote-edit-view.vue'));
        Vue.component('incident-grid-view', () => import('@pages/service/incident-grid-view/incident-grid-view.vue'));
        Vue.component('contact-detail-info-edit-view9', () => import('@pages/base/contact-detail-info-edit-view9/contact-detail-info-edit-view9.vue'));
        Vue.component('account-edit-account-info', () => import('@pages/base/account-edit-account-info/account-edit-account-info.vue'));
        Vue.component('contact-abstract-edit-view9', () => import('@pages/base/contact-abstract-edit-view9/contact-abstract-edit-view9.vue'));
        Vue.component('contact-pickup-view', () => import('@pages/base/contact-pickup-view/contact-pickup-view.vue'));
        Vue.component('account-edit-address', () => import('@pages/base/account-edit-address/account-edit-address.vue'));
    }
};